Fork me on GitHub
#boot
<
2017-03-04
>
qqq06:03:12

in boot-reload, when I do

(reload ...
  :port
  :ws-port
  :ws-host
  :ip )
my question is: should port/ws-port always be the same and ws-host/ip match up? If not, what's going on?

qqq06:03:34

okay, apparently setting :port = :ws-port made things work; though I have no idea why

bhagany16:03:15

@qqq one of them is the port the server starts on, and the other is the port the client connects to. They'd only need to be different in some sort of port forwarding scenario. Not something many people need, probably, but I think that's the reason.

yury.solovyov18:03:49

Are there any ways to consume npm modules other than https://github.com/degree9/boot-npm ?

yury.solovyov18:03:26

need them in both node and browser

richiardiandrea18:03:34

@yury.solovyov there are new cljs compiler features in alpha for that, I personally shell out at the moment

flyboarder19:03:22

@yury.solovyov anything else I can change in boot-npm to make it easier for you to use?

yury.solovyov19:03:39

you commented on the ticket, but I still don't get what should I pass to the task function

yury.solovyov19:03:01

(deftask npm-install []
  (comp
    (npm :package "package.edn")
    (target)))

yury.solovyov19:03:17

or should I pass map itself?

flyboarder19:03:47

That should work, might want to use ./package.edn

yury.solovyov19:03:00

let me push a branch so I can refer to what I have

yury.solovyov19:03:37

here is my edn

yury.solovyov19:03:15

I meant config

yury.solovyov19:03:57

another problem is that it creates additional package.json in target/resources dir

flyboarder19:03:17

Yeah I think it needs that include option

flyboarder19:03:29

Iv been doing that on a few of my boot tasks

yury.solovyov19:03:19

and generated package.json is still incomplete and does not mirror package.edn

yury.solovyov19:03:32

{"name":"boot-npm","version":"0.1.0","dependencies":null}

yury.solovyov19:03:49

^ one in the target/resources

flyboarder19:03:53

That's using the new version?

yury.solovyov19:03:08

{"name":"boot-npm","version":"0.1.0","dependencies":{"execa":"^0.5.0","path-to-regexp":"^1.6.0"}} <- one in just target/

yury.solovyov19:03:21

this is with 0.3.0

yury.solovyov19:03:42

I even tried deleting target dir

flyboarder19:03:46

Hmm strange.... not sure where the resources version is coming from

yury.solovyov19:03:40

I can do a TeamViewer session if that helps

flyboarder19:03:52

Cool let's do it

richiardiandrea20:03:37

Btw can be used for that too without installing things 😀

mobileink20:03:14

richiardiandrea: cool. webrtc?

richiardiandrea20:03:03

Yes I guess it is, I have been using it for a while now

flyboarder20:03:30

@richiardiandrea good idea!

flyboarder20:03:21

Woot! new boot-exec version 0.6.0 fixes the issue mentioned above, boot-npm will get a dependency update later today with a new version

flyboarder22:03:48

🎉 boot-npm version 0.8.0 optional package.json